<div class="d-flex flex-row col-sm book-header">
  <div class="col-sm-4 container">
    <div class="vertical-center">
      <img class="logo-style" src="assets/img/nukbook_logo.png">
       <h4>B.O.S.S</h4>
    </div>

    <!-- <div class="vertical-center r">
       <h4 style="font-family: cursive;">Book . Online . Safe price . Store</h4>
    </div>
    -->
  </div>
  <div class="col-sm-4 container">

    <div class="vertical-center col-sm">
      <h1 data-toggle="dropdown">นิยาย : {{categoryName}}<mat-icon>expand_more</mat-icon></h1>
      
      <ul  class="dropdown-menu col-sm">

        <li *ngFor="let cat of categoryList" (click)="setType(cat)" class="dropdown-item" >{{cat.name}}</li>

      </ul>
    </div>

  </div>
  <div class="col-sm-4 container">
    <div class="vertical-center r col-sm-10">
      <div class="d-flex flex-row col-sm ">
        <div class="input-group col-sm">

          <div  class="col-sm mx-2">
            <input #searchBar type="text" [formControl]="myControl"
              data-toggle="dropdown" class="form-control text-input dropdown-toggle">

            <ul (click)="selectItem($event)" [hidden]="bookList.length == 0" class="dropdown-menu col-sm">
              <div *ngFor="let book of bookList">
                <li class="dropdown-item" href="#">{{book}}</li>
              </div>
            </ul>
          </div>

        </div>
      </div>
    </div>
  </div>
</div>